org.apache.ignite.internal.pagemem.wal.record

## Class BaselineTopologyRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.BaselineTopologyRecord

    public class BaselineTopologyRecord
    extends WALRecord

Record for storing baseline topology compact node ID to consistent node ID mapping.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`BaselineTopologyRecord(int id, Map<Short,Object> mapping)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `id()` Returns baseline topology ID.
`Map<Short,Object>` `mapping()` Returns mapping.
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaselineTopologyRecord

    public BaselineTopologyRecord(int id,
                                  Map<Short,Object> mapping)

Parameters:
  `id` - Baseline topology ID.
  `mapping` - Compact ID to consistent ID mapping.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### id

    public int id()

Returns baseline topology ID.

Returns:
  Baseline topology ID.

#### mapping

    public Map<Short,Object> mapping()

Returns mapping.

Returns:
  Compact ID to consistent ID mapping.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018